%ifarch alpha ia64 ppc64 s390x sparc64 x86_64
%global flavor gcc64
%else
%global flavor gcc32
%endif


Name:           uberftp
Version:        2.6
Release:        alt1_6
Summary:        GridFTP-enabled ftp client

Group:          Networking/WWW

License:        NCSA
URL:            http://dims.ncsa.illinois.edu/set/uberftp/
Source0:        http://dims.ncsa.illinois.edu/set/uberftp/download/uberftp-client-%{version}.tar.gz

BuildRequires:  grid-packaging-tools globus-gssapi-gsi-devel
Source44: import.info

%description
UberFTP is the first interactive, GridFTP-enabled ftp client. 
It supports GSI authentication, parallel data channels and 
third party transfers. 

%prep
%setup -q -n uberftp-client-%{version}
iconv -f iso8859-1 -t utf-8 copyright > copyright.conv && mv -f copyright.conv copyright


%build
mkdir pkgdata
cp -p pkg_data_src.gpt.in pkgdata/.

sed -e 's!-I$globus_location/include/$globus_flavor! -I%{_includedir}/globus -I%{_libdir}/globus/include!' \
        -i configure.ac
unset GLOBUS_LOCATION
unset GPT_LOCATION
%{_datadir}/globus/globus-bootstrap.sh

%configure  --with-globus-flavor=%{flavor} --with-globus=%{_usr} --with-gpt=%{_usr} 
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%{_bindir}/uberftp
%{_mandir}/man1/uberftp.1*
%doc Changelog.mssftp Changelog copyright

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 2.6-alt1_6
- initial fc import

